Package org.eclipse.birt.report.engine.api

# Class RenderOptionBase

java.lang.Object
org.eclipse.birt.report.engine.api.TaskOption
org.eclipse.birt.report.engine.api.RenderOption
org.eclipse.birt.report.engine.api.RenderOptionBase

All Implemented Interfaces:
  `IRenderOption`, `ITaskOption`

@Deprecated public class RenderOptionBase extends RenderOption
Deprecated.
use RenderOption instead
Settings for rendering a report to an output format. Currently supported options include format of the request, whether to render HTML with style sheet, etc. Potential future options includes image formats in PDF (vector or bitmap), font embedding options, etc.

The predefined options strings are what BIRT supports. Other options are available depending on custom extensions.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption

`options`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Constructor Summary

Constructors
Constructor
Description
`RenderOptionBase()`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.birt.report.engine.api.RenderOption

`closeOutputStreamOnExit, getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, needCloseOutputStreamOnExit, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption

`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Constructor Details

### RenderOptionBase

public RenderOptionBase()
Deprecated.